Bug 1570010 - Update to new upstream Python 3-based version
Summary: Update to new upstream Python 3-based version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transifex-client
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2018-04-20 12:44 UTC by Martin Kolman
Modified: 2018-06-08 13:11 UTC (History)
6 users (show)

Fixed In Version: transifex-client-0.13.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:11:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Kolman 2018-04-20 12:44:35 UTC
Description of problem:
Looks like the current version on Fedora (0.10)[0] is still running on Python 2 while upstream recent upstream releases already support Python 3[1]

The package should be updated to newer version, removing one more Python 2-only package from Fedora, not to mention all the fixes (see bug 1231668) and improvements since 0.10 has been released 5 years ago.


[0] https://koji.fedoraproject.org/koji/buildinfo?buildID=1049452
[1] https://github.com/transifex/transifex-client/releases/tag/0.13.1

Comment 1 Fedora Update System 2018-05-30 15:38:01 UTC
transifex-client-0.13.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-631345a71e

Comment 2 Fedora Update System 2018-05-31 13:00:48 UTC
transifex-client-0.13.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-631345a71e

Comment 3 Fedora Update System 2018-06-08 13:11:09 UTC
transifex-client-0.13.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.